*** nnfolder.el.orig	Wed Apr 24 13:43:00 1996
--- nnfolder.el	Thu Apr 25 03:40:02 1996
***************
*** 534,539 ****
--- 534,540 ----
      (setq save-list group-art-list)
      (nnmail-insert-lines)
      (nnmail-insert-xref group-art-list)
+     (run-hooks 'nnmail-prepare-save-mail-hook)
      (run-hooks 'nnfolder-prepare-save-mail-hook)
  
      ;; Insert the mail into each of the destination groups.
*** nnheader.el.orig	Wed Apr 24 13:43:00 1996
--- nnheader.el	Thu Apr 25 03:41:23 1996
***************
*** 529,535 ****
--- 529,538 ----
        (and (listp form) (eq (car form) 'lambda))))
  
  (fset 'nnheader-find-file-noselect 'find-file-noselect)
+ (fset 'nnheader-insert-raw-file-contents 'insert-file-contents)
  
  (provide 'nnheader)
+ 
+ (run-hooks 'nnheader-load-hook)
  
  ;;; nnheader.el ends here
*** nnmail.el.orig	Wed Apr 24 13:43:00 1996
--- nnmail.el	Thu Apr 25 03:40:03 1996
***************
*** 280,286 ****
    (set-buffer nntp-server-buffer)
    (erase-buffer)
    (condition-case ()
!       (progn (insert-file-contents file) t)
      (file-error nil)))
  
  (defun nnmail-group-pathname (group dir &optional file)
--- 280,286 ----
    (set-buffer nntp-server-buffer)
    (erase-buffer)
    (condition-case ()
!       (progn (nnheader-insert-raw-file-contents file) t)
      (file-error nil)))
  
  (defun nnmail-group-pathname (group dir &optional file)
*** nnmbox.el.orig	Wed Apr 24 13:43:00 1996
--- nnmbox.el	Thu Apr 25 03:40:03 1996
***************
*** 446,451 ****
--- 446,452 ----
      (nnmail-insert-lines)
      (nnmail-insert-xref group-art)
      (nnmbox-insert-newsgroup-line group-art)
+     (run-hooks 'nnmail-prepare-save-mail-hook)
      (run-hooks 'nnmbox-prepare-save-mail-hook)
      group-art))
  
*** nnmh.el.orig	Wed Apr 24 13:43:00 1996
--- nnmh.el	Thu Apr 25 03:40:05 1996
***************
*** 394,399 ****
--- 394,400 ----
      (unless noinsert
        (nnmail-insert-lines)
        (nnmail-insert-xref group-art))
+     (run-hooks 'nnmail-prepare-save-mail-hook)
      (run-hooks 'nnmh-prepare-save-mail-hook)
      (goto-char (point-min))
      (while (looking-at "From ")
*** nnml.el.orig	Wed Apr 24 13:43:00 1996
--- nnml.el	Thu Apr 25 03:40:07 1996
***************
*** 544,549 ****
--- 544,550 ----
  	chars nov-line)
      (setq chars (nnmail-insert-lines))
      (nnmail-insert-xref group-art)
+     (run-hooks 'nnmail-prepare-save-mail-hook)
      (run-hooks 'nnml-prepare-save-mail-hook)
      (goto-char (point-min))
      (while (looking-at "From ")
*** nnspool.el.orig	Wed Apr 24 13:43:01 1996
--- nnspool.el	Thu Apr 25 03:40:07 1996
***************
*** 466,472 ****
    (set-buffer nntp-server-buffer)
    (erase-buffer)
    (condition-case ()
!       (progn (insert-file-contents file) t)
      (file-error nil)))
  
  (defun nnspool-possibly-change-directory (group)
--- 466,472 ----
    (set-buffer nntp-server-buffer)
    (erase-buffer)
    (condition-case ()
!       (progn (nnheader-insert-raw-file-contents file) t)
      (file-error nil)))
  
  (defun nnspool-possibly-change-directory (group)
